cmake_minimum_required(VERSION 3.5)

project(vec VERSION 1.0.0 DESCRIPTION "a tiny C99 SIMD vector library")

add_library(vec SHARED src/vec.c)

set_target_properties(vec PROPERTIES PUBLIC_HEADER include/vec/vec.h)

target_include_directories(vec PRIVATE include)

# Installing

include(GNUInstallDirs)

install(TARGETS vec
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

# pkg-config
configure_file(vec.pc.in vec.pc @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/vec.pc DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/pkgconfig)